Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
cancel
Showing results for 
Search instead for 
Did you mean: 

Not able to link oracle 9.2.0.1

Meenakshi Kumaran
Occasional Visitor

Not able to link oracle 9.2.0.1

Hi During installation I got the error "Unable to link" I got the link error for LDAP, rdbms and sqlplus and few others.

So manually try to run
make -f ins_sqlplus.mk install and got the following:

Unsatisfied symbol "gethrtime" in file /u16/oracle9/lib//libgeneric9.a[kgl2.o]


Any leads appreciated.
5 REPLIES
Steven E. Protter
Exalted Contributor

Re: Not able to link oracle 9.2.0.1

Questions:

1) Is the LDAP/UX client installed?
2) Is the SHLIB_PATH correct for the installation session?
3) Is the PATH variable correct in the installation session.

I see a double slahs in the path

//lib/libgeneric9.a[kgl2.o]

That doesn't look right and leads me to believe that you have not satisfied environment requirements of the install.

SEP

Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Indira Aramandla
Honored Contributor

Re: Not able to link oracle 9.2.0.1

Hi Meenakshi,

When you are relinking the Oracle software on HP/UX 64-bit and receive errors like
ld: Unsatisfied symbol "gethrtime" in file /opt/oracle/product/9.2.0/lib//libserver9.a[kcrr.o] or similar errors this is what Metalink says.

HP/UX patches PHCO_23770, PHCO_23092 must be applied. For details on these patches, please contact HP for assistance.

The reason may be that the gethrtime(void) function is a new funtion in libc and is not present in older versions of libraries, so this issue did not appear in prior versions.

I hope this helps

Indira A
Never give up, Keep Trying
Yogeeraj_1
Honored Contributor

Re: Not able to link oracle 9.2.0.1

hi meenakshi,

seems like a patch problem.

can you please check if you have all the patches required as per instructions in the installation guide.

You may alternatively refer to metalink note: 169706.1

regards
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Meenakshi Kumaran
Occasional Visitor

Re: Not able to link oracle 9.2.0.1

Hi All,
Thanks for very prompt reply.

I could not locate PATCH for PHCO_23770 and PHCO_23092. I did found one link, when
I tried to deploy the patch it says
"Currently there are no product on this source which are compatible with the target" Therefore no patch got installed."

Any pointers will be helpful.

I am running HP-UX 11i Version 1.

Thanks again
Meenakshi.
Steven E. Protter
Exalted Contributor

Re: Not able to link oracle 9.2.0.1

You need to find patches equivalent to the ones in the Oracle note which are seriously out of date.

In the Oracle note:

Find the 11i v1 patches
or they may be referred to as 11.11 patches. Same thing.

Click here:
http://www2.itrc.hp.com/service/patch/search.do?BC=patch.breadcrumb.main|&pageContextName=hpux:::

Find current patches for every patch Oracle mentions for 11i v1(11.11)

Click select patches, and download all dependencies.

That should get you a nice patch depot.

I'd also recommend the June 2004 quarterly patch update. That will include some but not all of what Oracle requires.

From the Application CD's install the latest Ansi C 11.08 I think the last version is.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com